#!/bin/bash

# Create train, dev, devtest
rm -f seq_train.txt
for a in `cat TRAINLIST`
do
   cat ${a} | python3 extract_seq_004.py >> seq_train.txt
done

rm -f seq_dev.txt
for a in `cat DEVLIST`
do
   cat ${a} | python3 extract_seq_004.py >> seq_dev.txt
done

rm -f seq_test.txt
for a in `cat DEVTESTLIST`
do
   cat ${a} | python3 extract_seq_004.py >> seq_test.txt
done

# train model
./wapiti-1.5.0/wapiti train -p b_offset_pattern.txt seq_train.txt b_offset_pattern.model
if [[ ! -p pipe ]]; then
    mkfifo pipe
fi

# get results
echo seq_train
./wapiti-1.5.0/wapiti label --check -m b_offset_pattern.model seq_train.txt > tmp_check

echo labeling seq_train for diffing purposes, diff seq_train.txt with tmp_check_train
cat seq_train.txt | ./remove_col_nowarn.pl -1 > tmp_seq_train
./wapiti-1.5.0/wapiti label -m b_offset_pattern.model tmp_seq_train > tmp_check_train 2> /dev/null

echo seq_dev
./wapiti-1.5.0/wapiti label --check -m b_offset_pattern.model seq_dev.txt > tmp_check

echo labeling seq_dev for diffing purposes, diff seq_dev.txt with tmp_check_dev
cat seq_dev.txt | ./remove_col_nowarn.pl -1 > tmp_seq_dev
./wapiti-1.5.0/wapiti label -m b_offset_pattern.model tmp_seq_dev > tmp_check_dev 2> /dev/null

echo seq_test
./wapiti-1.5.0/wapiti label --check -m b_offset_pattern.model seq_test.txt > tmp_check

echo labeling seq_test for diffing purposes, diff seq_dev.txt with tmp_check_test
cat seq_dev.txt | ./remove_col_nowarn.pl -1 > tmp_seq_test
./wapiti-1.5.0/wapiti label -m b_offset_pattern.model tmp_seq_test > tmp_check_test 2> /dev/null
